package weaver.interfaces.recruit.cronjob;

import weaver.common.DateUtil;
import weaver.conn.RecordSet;
import weaver.interfaces.schedule.BaseCronJob;

/**
 * @author:dxfeng
 * @createTime: 2024/12/17
 * @version: 1.0
 */
public class RefreshInternalStatusJob extends BaseCronJob {
    @Override
    public void execute() {
        String currentDate = DateUtil.getCurrentDate();
        RecordSet rs = new RecordSet();
        RecordSet recordSet = new RecordSet();
        rs.executeQuery("select * from uf_jcl_nbzwsq where jpzt = 1");
        while (rs.next()) {
            String gsjsrq = rs.getString("gsjsrq");
            if(currentDate.equals(gsjsrq)){
                String id = rs.getString("id");
                recordSet.executeUpdate("update uf_jcl_nbzwsq set jpzt = 2 where id = ?", id);
            }
        }
    }
}